OpenNMS API 1.2.9

## org.opennms.netmgt.poller.pollables
Class PollableInterface

    java.lang.Object
      org.opennms.netmgt.poller.pollables.PollableElement
          org.opennms.netmgt.poller.pollables.PollableContainer
              org.opennms.netmgt.poller.pollables.PollableInterface

public class PollableInterface
extends PollableContainer

Represents a PollableInterface

Author:
  brozow

Nested Class Summary

Nested classes inherited from class org.opennms.netmgt.poller.pollables.PollableContainer
`PollableContainer.Iter, PollableContainer.SimpleIter`

Field Summary
`private java.net.InetAddress` `m_addr`

Fields inherited from class org.opennms.netmgt.poller.pollables.PollableContainer
``

Fields inherited from class org.opennms.netmgt.poller.pollables.PollableElement
``

Constructor Summary
`PollableInterface(PollableNode node, java.net.InetAddress addr)`

Method Summary
`Event` `createDownEvent(java.util.Date date)`
`protected java.lang.Object` `createMemberKey(PollableElement member)`
`PollableService` `createService(java.lang.String svcName)`
`Event` `createUpEvent(java.util.Date date)`
`java.net.InetAddress` `getAddress()`
`PollContext` `getContext()`
`private PollableService` `getCriticalService()`
`java.lang.String` `getIpAddr()`
`PollableNetwork` `getNetwork()`
`PollableNode` `getNode()`
`int` `getNodeId()`
`PollableService` `getService(java.lang.String svcName)`
`protected PollStatus` `poll(PollableElement elem)`
`PollStatus` `pollRemainingMembers(PollableElement member)`
`void` `recalculateStatus()`
`void` `reparentTo(PollableNode newNode)`
`PollableElement` `selectPollElement()`
`private void` `setNode(PollableNode newNode)`
`java.lang.String` `toString()`
`protected void` `visitThis(PollableVisitor v)`

Methods inherited from class org.opennms.netmgt.poller.pollables.PollableContainer
`addMember, delete, deleteMember, findMemberWithDescendent, forEachMember, getMember, getMemberCount, getMembers, getMemberStatus, poll, processCause, processMemberStatusChanges, processResolution, processStatusChange, removeMember, resetStatusChanged, resolveAllOutages, visit, visitMembers`

Methods inherited from class org.opennms.netmgt.poller.pollables.PollableElement
`createOutage, doPoll, getCause, getLockRoot, getParent, getStatus, hasOpenOutage, isDeleted, isStatusChanged, isTreeLockAvailable, obtainTreeLock, processComingUp, processGoingDown, processLingeringCauses, releaseTreeLock, resolveOutage, setCause, setParent, updateStatus, withTreeLock, withTreeLock`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### m_addr

    private java.net.InetAddress m_addr

Constructor Detail

### PollableInterface

    public PollableInterface(PollableNode node,
                             java.net.InetAddress addr)

Method Detail

### getNode

    public PollableNode getNode()

### setNode

    private void setNode(PollableNode newNode)

### getNetwork

    public PollableNetwork getNetwork()

### getContext

    public PollContext getContext()

  Specified by:
    `getContext` in class `PollableElement`

### getIpAddr

    public java.lang.String getIpAddr()

### getAddress

    public java.net.InetAddress getAddress()

### getNodeId

    public int getNodeId()

### createService

    public PollableService createService(java.lang.String svcName)

### getService

    public PollableService getService(java.lang.String svcName)

### createMemberKey

    protected java.lang.Object createMemberKey(PollableElement member)

  Specified by:
    `createMemberKey` in class `PollableContainer`
  Parameters:
    `member` -
  Returns:

### visitThis

    protected void visitThis(PollableVisitor v)

  Overrides:
    `visitThis` in class `PollableContainer`

### recalculateStatus

    public void recalculateStatus()

  Overrides:
    `recalculateStatus` in class `PollableContainer`

### getCriticalService

    private PollableService getCriticalService()

  Returns:

### selectPollElement

    public PollableElement selectPollElement()

  Overrides:
    `selectPollElement` in class `PollableContainer`
  Returns:

### poll

    protected PollStatus poll(PollableElement elem)

  Overrides:
    `poll` in class `PollableContainer`

### pollRemainingMembers

    public PollStatus pollRemainingMembers(PollableElement member)

  Overrides:
    `pollRemainingMembers` in class `PollableContainer`
  Parameters:
    `member` -
  Returns:

### createDownEvent

    public Event createDownEvent(java.util.Date date)

  Specified by:
    `createDownEvent` in class `PollableElement`
  Parameters:
    `date` -
  Returns:

### createUpEvent

    public Event createUpEvent(java.util.Date date)

  Specified by:
    `createUpEvent` in class `PollableElement`
  Parameters:
    `date` -
  Returns:

### toString

    public java.lang.String toString()

### reparentTo

    public void reparentTo(PollableNode newNode)

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.